## org.eclipse.emf.ecore.sdo.impl
Class SDOFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ecore.sdo.impl.SDOFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, InternalEObject, SDOFactory

    public class SDOFactoryImpl

extends EFactoryImpl
implements SDOFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.sdo.SDOFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SDOFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`EChangeSummary` `createEChangeSummary()`
`EChangeSummarySetting` `createEChangeSummarySetting()`
`EChangeSummarySetting` `createEChangeSummarySetting(EStructuralFeature eStructuralFeature, java.lang.Object value, boolean isSet)`
`EDataGraph` `createEDataGraph()`
`EDataObject` `createEDataObject()`
`EDataObjectAnyType` `createEDataObjectAnyType()`
`EDataObjectSimpleAnyType` `createEDataObjectSimpleAnyType()`
`EProperty` `createEProperty()`
`EType` `createEType()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`static SDOPackage` `getPackage()` Deprecated.
`SDOPackage` `getSDOPackage()`
`static SDOFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SDOFactoryImpl

    public SDOFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SDOFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`

### createEDataObject

    public EDataObject createEDataObject()

  Specified by:
    `createEDataObject` in interface `SDOFactory`
  Returns:
    a new object of class 'EData Object'.

### createEDataGraph

    public EDataGraph createEDataGraph()

  Specified by:
    `createEDataGraph` in interface `SDOFactory`
  Returns:
    a new object of class 'EData Graph'.

### createEChangeSummary

    public EChangeSummary createEChangeSummary()

  Specified by:
    `createEChangeSummary` in interface `SDOFactory`
  Returns:
    a new object of class 'EChange Summary'.

### createEProperty

    public EProperty createEProperty()

  Specified by:
    `createEProperty` in interface `SDOFactory`
  Returns:
    a new object of class 'EProperty'.

### createEType

    public EType createEType()

  Specified by:
    `createEType` in interface `SDOFactory`
  Returns:
    a new object of class 'EType'.

### createEDataObjectAnyType

    public EDataObjectAnyType createEDataObjectAnyType()

  Specified by:
    `createEDataObjectAnyType` in interface `SDOFactory`
  Returns:
    a new object of class 'EData Object Any Type'.

### createEDataObjectSimpleAnyType

    public EDataObjectSimpleAnyType createEDataObjectSimpleAnyType()

  Specified by:
    `createEDataObjectSimpleAnyType` in interface `SDOFactory`
  Returns:
    a new object of class 'EData Object Simple Any Type'.

### createEChangeSummarySetting

    public EChangeSummarySetting createEChangeSummarySetting()

  Specified by:
    `createEChangeSummarySetting` in interface `SDOFactory`
  Returns:
    a new object of class 'EChange Summary Setting'.

### getSDOPackage

    public SDOPackage getSDOPackage()

  Specified by:
    `getSDOPackage` in interface `SDOFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static SDOPackage getPackage()

  Deprecated.

### createEChangeSummarySetting

    public EChangeSummarySetting createEChangeSummarySetting(EStructuralFeature eStructuralFeature,
                                                             java.lang.Object value,
                                                             boolean isSet)

  Specified by:
    `createEChangeSummarySetting` in interface `SDOFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.